#include <bits/stdc++.h>
using namespace std;

int N, K;
unsigned int a[100000];

int main()
{
    ios::sync_with_stdio(1);
    cin.tie(0);
    cout.tie(0);

    cin >> N >> K;
    for (int i=0 ; i<N ; i++) cin >> a[i];
    //if (K==1) podzad1();
    unsigned int c, br=0;
    for (int l=0 ; l<N-1 ; l++)
    {
        c=a[l];
        for (int r=l ; r<N ; r++)
        {
            c = c | a[r];
            if (c>=K) br++;
        }
    }
    cout << br << endl;
    return 0;
}
